Subject: Re: bug#48907: Grafts cause discrepancies in debug symbols file names (debug symbols missing in GDB).

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 29 May 2024 21:11:12 -0400

Hi Florian,

"pelzflorian (Florian Pelz)" <[email-masked]> writes:

> Hello all.
>
> Ludovic Courtès <[email-masked]> writes:
>>>> I wonder if we should revert 482fda2729c3e76999892cb8f9a0391a7bd37119.
>>>> It’s often not very helpful anyway (we often find ourselves downloading
>>>> unnecessary package outputs because of grafting).
>>>
>>> Hmm.  Perhaps.  But it'd also suck to have to download 1 GiB of unneeded
>>> debugging symbols to just apply a graft to Qt, for example.
>>
>> Yeah.  That’s already the case in some cases though, that’s what I
>> meant.
>
> I believe I got bitten by this 482fda2729c3e76999892cb8f9a0391a7bd37119
> too, not only for debug symbols, which annoys me, and not like the Go
> users, but for me the issue surfaced when trying to use guile-g-golf,
> whose hello-world.scm errors out with “cannot register existing type
> 'GdkPixbuf'” and GDB debugging shows (I think) it is because a variant
> of gdk-pixbuf without a debug output is used by Gtk while guile-g-golf
> loads gdk-pixbuf with debug output before.  `guix shell --no-grafts` is
> a workaround.

I'm guessing bug #64836 ("pygobject GTK modules lookup fails following
CUPS graft") may be another manifestation of this problem.

-- 
Thanks,
Maxim